# SNMP Enumeration

## snmpcheck

* [git repo](https://gitlab.com/kalilinux/packages/snmpcheck.git)
* Ruby script, clone and
```sh
cd snmpcheck
gem install snmp
chmod 775 snmpcheck-<version>.rb
```

```sh
./snmpcheck-<version>.rb $TARGET_IP -c <community-string>
```

## Onesixtyone

* Find community strings
```sh
onesixtyone $TARGET_IP -c /usr/share/seclists/Discovery/SNMP/snmp-onesixtyone.txt
```

## snmpwalk

* Query users
```
snmpwalk -v2c -c <community_string, e.g. internal or public> $TARGET_IP 1.3.6.1.4.1.77.1.2.25
```

## snmpbulkwalk

* Query for login data
```sh
snmpbulkwalk -v2c -c internal $TARGET_IP | grep login
```
